Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.eclipse.model
[Groovy] Class EclipseJdt

    java.lang.Object
      org.gradle.plugins.ide.eclipse.model.EclipseJdt

    class EclipseJdt

Enables fine-tuning jdt details of the Eclipse plugin

     apply plugin: 'java'
     apply plugin: 'eclipse'

     eclipse {
       jdt {
         //if you want to alter the java versions (by default they are configured with gradle java plugin settings):
         sourceCompatibility = 1.6
         targetCompatibility = 1.5

         file {
           //whenMerged closure is the highest voodoo
           //and probably should be used only to solve tricky edge cases.
           //the type passed to the closure is Jdt

           //closure executed after jdt file content is loaded from existing file
           //and after gradle build information is merged
           whenMerged { jdt
             //you can tinker with the Jdt here
           }

           //withProperties allows addition of properties not currently
           //modeled by Gradle
           withProperties { properties ->
               //you can tinker with the Properties here
           }
         }
       }
     }

@author: Szczepan Faber, created at: 4/20/11

Property Summary
`PropertiesFileContentMerger` | `file` See file(Closure)
`JavaVersion` | `sourceCompatibility` The source Java language level.
`JavaVersion` | `targetCompatibility` The target JVM to generate `.class` files for.

Constructor Summary
`EclipseJdt(PropertiesFileContentMerger file)`

Method Summary
`void` | `file(Closure closure)` Enables advanced configuration like affecting the way existing jdt file content is merged with gradle build information
`void` | `setSourceCompatibility(Object sourceCompatibility)`
`void` | `setTargetCompatibility(Object targetCompatibility)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### file

    final PropertiesFileContentMerger file

  See file(Closure)

### sourceCompatibility

    JavaVersion sourceCompatibility

  The source Java language level.

  For example see docs for EclipseJdt

### targetCompatibility

    JavaVersion targetCompatibility

  The target JVM to generate `.class` files for.

  For example see docs for EclipseJdt

Constructor Detail

### EclipseJdt

    EclipseJdt(PropertiesFileContentMerger file)

Method Detail

### file

    void file(Closure closure)

  Enables advanced configuration like affecting the way existing jdt file content is merged with gradle build information

  The object passed to whenMerged{} and beforeMerged{} closures is of type Jdt

  The object passed to withProperties{} closures is of type Properties

  For example see docs for EclipseJdt

### setSourceCompatibility

    void setSourceCompatibility(Object sourceCompatibility)

### setTargetCompatibility

    void setTargetCompatibility(Object targetCompatibility)

Gradle API 1.1-rc-1